--	kate: indent-width 6; tab-width 6;

local tbl = {
	{
		type = "string-setting",
		name = "sbSortedLogistics-gui-show",
		setting_type = "runtime-per-user",
		default_value = "always",
		allowed_values = {
			"always",
			"auto",
			"mini",
			"never",
		},
		order = "a001",
	}
}

for k,v in pairs{
	"self1",	-- no effect if your inventory is perma sorted
	"self2",
	"player1",
	"player2",

	"car1",
	"car2",
	"chest1",
	"chest2",	-- only some chests have trash slots
--	"math1",	-- combinators have no inventory
--	"math2",	-- combinators have no inventory
	"robo1",
	"robo2",
	"rocket1",
	"rocket2",
	"space1",
	"space2",
	"train1",
	"train2",

	"self",	-- special value for your character
	"player",	-- special value for other players character

	"car",	-- combine all types of vehicles into one
	"chest",	-- combine all types of chests into one
	"math",	-- constant combinator name them signals even if they function the same as logistic requests
	"robo",
--	"rocket",	-- rocket silos can only automatically request items
	"space",	-- combine platform hub and cargo hub into one setting
	"train",	-- need to test train schedules

	"infinity",

	"decon",
	"upgrade",
--	"book",	-- currently does not work
	"books",
} do
	table.insert(tbl,{
		type = "bool-setting",
		name = "sbSortedLogistics-sort-"..v,
		setting_type = "runtime-per-user",
		default_value = false,
		order = string.format("s%03d",k),
	})
end

data:extend(tbl)