Usage
===
by default this mod always shows the sorting gui but does no automatic sorting.
display conditions for the sorting gui and finely grained automatic sorting can be configured in the mod settings.

the sorting gui shows sort buttons for manual sorting and checkboxes with the state of automatic sorting where applicable and configured.

while the sorting of entities is feature complete, books and planners have sever limitations:

- books and planners in 'My library' can not be sorted at all.
- the sorting gui can only be attached to books and planners inside an inventory.
- books and planners in the 'Game library' can only be automatically sorted and only when picked up.
- books can only automatically sort and only contained planners and only when in the 'Game library' and only when picked up.

if you want better support for books and planners you can request that here: [blueprint library needs some love](https://forums.factorio.com/viewtopic.php?t=127764)




Features
===

Settings
---
- when and how much the sorting gui should display can be configured.
- automatic sorting can be configured finely grained.

Entities
---
- the sorting gui is attached to entities where applicable.
- primary and secondary inventories of entities can be sorted.
- filter slots inside logistic sections can be sorted. this means also signals in case of the constant combinator.
- infinity filters can be sorted.
- automatic sorting when opening and closing an entity can be configured.

Items
---
- the sorting gui is attached to books and planners where applicable.
- entity and tile filters of deconstruction planners can be sorted eliminating doubles.
- upgrade mappings of upgrade planners can be sorted eliminating doubles.
- planners inside books can be sorted recursively.
- automatic sorting when opening, closing and picking up an item can be configured.




Known limitations
===
- books and planners inside 'My library' can not be sorted at all.
- books and planners inside 'Game library' can not have the sorting gui attached.
- books and planners inside 'Game library' can not be automatically sorted when opened or closed.
- books can only be recursively sorted when you pick them up from anywhere in the 'Game library'.
